Package org.eclipse.cdt.core.parser

# Interface IToken

All Known Subinterfaces:
  `IGCCToken`, `IInactiveCodeToken`

public interface IToken

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`IToken.ContextSensitiveTokenType`
Token types for context-sensitive tokens.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`FIRST_RESERVED_IExtensionToken`
`static final int`
`FIRST_RESERVED_IGCCToken`
`static final int`
`FIRST_RESERVED_PREPROCESSOR`
`static final int`
`FIRST_RESERVED_SCANNER`
`static final int`
`LAST_RESERVED_IExtensionToken`
`static final int`
`LAST_RESERVED_IGCCToken`
`static final int`
`LAST_RESERVED_PREPROCESSOR`
`static final int`
`LAST_RESERVED_SCANNER`
`static final int`
`t__Alignas`
`static final int`
`t__Alignof`
`static final int`
`t__Bool`
`static final int`
`t__Complex`
`static final int`
`t__Imaginary`
`static final int`
`t_alignas`
`static final int`
`t_alignof`
`static final int`
`t_and`
Deprecated.
Use `tAND`.
`static final int`
`t_and_eq`
Deprecated.
Use `tAMPERASSIGN`.
`static final int`
`t_asm`
`static final int`
`t_auto`
`static final int`
`t_bitand`
Deprecated.
Use `tAMPER`.
`static final int`
`t_bitor`
Deprecated.
Use `tBITOR`.
`static final int`
`t_bool`
`static final int`
`t_break`
`static final int`
`t_case`
`static final int`
`t_catch`
`static final int`
`t_char`
`static final int`
`t_char16_t`
`static final int`
`t_char32_t`
`static final int`
`t_class`
`static final int`
`t_compl`
Deprecated.
Use `tBITCOMPLEMENT`.
`static final int`
`t_const`
`static final int`
`t_const_cast`
`static final int`
`t_constexpr`
`static final int`
`t_continue`
`static final int`
`t_decltype`
`static final int`
`t_default`
`static final int`
`t_delete`
`static final int`
`t_do`
`static final int`
`t_double`
`static final int`
`t_dynamic_cast`
`static final int`
`t_else`
`static final int`
`t_enum`
`static final int`
`t_explicit`
`static final int`
`t_export`
`static final int`
`t_extern`
`static final int`
`t_false`
`static final int`
`t_float`
`static final int`
`t_for`
`static final int`
`t_friend`
`static final int`
`t_goto`
`static final int`
`t_if`
`static final int`
`t_inline`
`static final int`
`t_int`
`static final int`
`t_long`
`static final int`
`t_mutable`
`static final int`
`t_namespace`
`static final int`
`t_new`
`static final int`
`t_noexcept`
`static final int`
`t_not`
Deprecated.
Use `tNOT`.
`static final int`
`t_not_eq`
Deprecated.
Use `tNOTEQUAL` @noreference This field is not intended to be referenced by clients.
`static final int`
`t_nullptr`
`static final int`
`t_operator`
`static final int`
`t_or`
Deprecated.
Use `tOR` @noreference This field is not intended to be referenced by clients.
`static final int`
`t_or_eq`
Deprecated.
Use `tBITORASSIGN`.
`static final int`
`t_PRAGMA`
`static final int`
`t_private`
`static final int`
`t_protected`
`static final int`
`t_public`
`static final int`
`t_register`
`static final int`
`t_reinterpret_cast`
`static final int`
`t_restrict`
`static final int`
`t_return`
`static final int`
`t_short`
`static final int`
`t_signed`
`static final int`
`t_sizeof`
`static final int`
`t_static`
`static final int`
`t_static_assert`
`static final int`
`t_static_cast`
`static final int`
`t_struct`
`static final int`
`t_switch`
`static final int`
`t_template`
`static final int`
`t_this`
`static final int`
`t_thread_local`
`static final int`
`t_throw`
`static final int`
`t_true`
`static final int`
`t_try`
`static final int`
`t_typedef`
`static final int`
`t_typeid`
`static final int`
`t_typename`
`static final int`
`t_union`
`static final int`
`t_unsigned`
`static final int`
`t_using`
`static final int`
`t_virtual`
`static final int`
`t_void`
`static final int`
`t_volatile`
`static final int`
`t_wchar_t`
`static final int`
`t_while`
`static final int`
`t_xor`
Deprecated.
Use `tXOR`.
`static final int`
`t_xor_eq`
Deprecated.
Use `tXORASSIGN`.
`static final int`
`tAMPER`
`static final int`
`tAMPERASSIGN`
`static final int`
`tAND`
`static final int`
`tARROW`
`static final int`
`tARROWSTAR`
`static final int`
`tASSIGN`
`static final int`
`tBITCOMPLEMENT`
`static final int`
`tBITOR`
`static final int`
`tBITORASSIGN`
`static final int`
`tBLOCKCOMMENT`
Deprecated.
Not used.
`static final int`
`tCHAR`
`static final int`
`tCOLON`
`static final int`
`tCOLONCOLON`
`static final int`
`tCOMMA`
`static final int`
`tCOMMENT`
Deprecated.
Not used.
`static final int`
`tCOMPL`
Deprecated.
Use `tBITCOMPLEMENT`.
`static final int`
`tCOMPLETION`
`static final int`
`tDECR`
`static final int`
`tDIV`
`static final int`
`tDIVASSIGN`
`static final int`
`tDOT`
`static final int`
`tDOTSTAR`
`static final int`
`tELLIPSIS`
`static final int`
`tEND_OF_INPUT`
`static final int`
`tEOC`
`static final int`
`tEQUAL`
`static final int`
`tFLOATINGPT`
`static final int`
`tGT`
`static final int`
`tGT_in_SHIFTR`
`static final int`
`tGTEQUAL`
`static final int`
`tIDENTIFIER`
`static final int`
`tINACTIVE_CODE_END`
`static final int`
`tINACTIVE_CODE_SEPARATOR`
`static final int`
`tINACTIVE_CODE_START`
`static final int`
`tINCR`
`static final int`
`tINTEGER`
`static final int`
`tLBRACE`
`static final int`
`tLBRACKET`
`static final int`
`tLCHAR`
`static final int`
`tLPAREN`
`static final int`
`tLSTRING`
`static final int`
`tLT`
`static final int`
`tLTEQUAL`
`static final int`
`tMACROEXP`
Deprecated.
Not used.
`static final int`
`tMINUS`
`static final int`
`tMINUSASSIGN`
`static final int`
`tMOD`
`static final int`
`tMODASSIGN`
`static final int`
`tNOT`
`static final int`
`tNOTEQUAL`
`static final int`
`tOR`
`static final int`
`tPLUS`
`static final int`
`tPLUSASSIGN`
`static final int`
`tPOUND`
`static final int`
`tPOUNDPOUND`
`static final int`
`tQUESTION`
`static final int`
`tRBRACE`
`static final int`
`tRBRACKET`
`static final int`
`tRPAREN`
`static final int`
`tSEMI`
`static final int`
`tSHIFTL`
`static final int`
`tSHIFTLASSIGN`
`static final int`
`tSHIFTR`
`static final int`
`tSHIFTRASSIGN`
`static final int`
`tSTAR`
`static final int`
`tSTARASSIGN`
`static final int`
`tSTRING`
`static final int`
`tTHREEWAYCOMPARISON`
`static final int`
`tUNKNOWN_CHAR`
`static final int`
`tUSER_DEFINED_CHAR_LITERAL`
`static final int`
`tUSER_DEFINED_STRING_LITERAL`
`static final int`
`tUTF16CHAR`
`static final int`
`tUTF16STRING`
`static final int`
`tUTF32CHAR`
`static final int`
`tUTF32STRING`
`static final int`
`tXOR`
`static final int`
`tXORASSIGN`

## Method Summary

Modifier and Type
Method
Description
`char[]`
`getCharImage()`
`int`
`getEndOffset()`
`String`
`getImage()`
`int`
`getLength()`
`IToken`
`getNext()`
`int`
`getOffset()`
`int`
`getType()`
`boolean`
`isOperator()`
Deprecated.
`void`
`setNext(IToken t)`
`void`
`setType(int i)`

## Field Details

### FIRST_RESERVED_PREPROCESSOR

static final int FIRST_RESERVED_PREPROCESSOR

See Also:
  - Constant Field Values

### LAST_RESERVED_PREPROCESSOR

static final int LAST_RESERVED_PREPROCESSOR

See Also:
  - Constant Field Values

### FIRST_RESERVED_SCANNER

static final int FIRST_RESERVED_SCANNER

See Also:
  - Constant Field Values

### LAST_RESERVED_SCANNER

static final int LAST_RESERVED_SCANNER

See Also:
  - Constant Field Values

### t_PRAGMA

static final int t_PRAGMA

Since:
  5.2
See Also:
  - Constant Field Values

### tIDENTIFIER

static final int tIDENTIFIER

See Also:
  - Constant Field Values

### tINTEGER

static final int tINTEGER

See Also:
  - Constant Field Values

### tCOLONCOLON

static final int tCOLONCOLON

See Also:
  - Constant Field Values

### tCOLON

static final int tCOLON

See Also:
  - Constant Field Values

### tSEMI

static final int tSEMI

See Also:
  - Constant Field Values

### tCOMMA

static final int tCOMMA

See Also:
  - Constant Field Values

### tQUESTION

static final int tQUESTION

See Also:
  - Constant Field Values

### tLPAREN

static final int tLPAREN

See Also:
  - Constant Field Values

### tRPAREN

static final int tRPAREN

See Also:
  - Constant Field Values

### tLBRACKET

static final int tLBRACKET

See Also:
  - Constant Field Values

### tRBRACKET

static final int tRBRACKET

See Also:
  - Constant Field Values

### tLBRACE

static final int tLBRACE

See Also:
  - Constant Field Values

### tRBRACE

static final int tRBRACE

See Also:
  - Constant Field Values

### tPLUSASSIGN

static final int tPLUSASSIGN

See Also:
  - Constant Field Values

### tINCR

static final int tINCR

See Also:
  - Constant Field Values

### tPLUS

static final int tPLUS

See Also:
  - Constant Field Values

### tMINUSASSIGN

static final int tMINUSASSIGN

See Also:
  - Constant Field Values

### tDECR

static final int tDECR

See Also:
  - Constant Field Values

### tARROWSTAR

static final int tARROWSTAR

See Also:
  - Constant Field Values

### tARROW

static final int tARROW

See Also:
  - Constant Field Values

### tMINUS

static final int tMINUS

See Also:
  - Constant Field Values

### tSTARASSIGN

static final int tSTARASSIGN

See Also:
  - Constant Field Values

### tSTAR

static final int tSTAR

See Also:
  - Constant Field Values

### tMODASSIGN

static final int tMODASSIGN

See Also:
  - Constant Field Values

### tMOD

static final int tMOD

See Also:
  - Constant Field Values

### tXORASSIGN

static final int tXORASSIGN

See Also:
  - Constant Field Values

### tXOR

static final int tXOR

See Also:
  - Constant Field Values

### tAMPERASSIGN

static final int tAMPERASSIGN

See Also:
  - Constant Field Values

### tAND

static final int tAND

See Also:
  - Constant Field Values

### tAMPER

static final int tAMPER

See Also:
  - Constant Field Values

### tBITORASSIGN

static final int tBITORASSIGN

See Also:
  - Constant Field Values

### tOR

static final int tOR

See Also:
  - Constant Field Values

### tBITOR

static final int tBITOR

See Also:
  - Constant Field Values

### tBITCOMPLEMENT

static final int tBITCOMPLEMENT

See Also:
  - Constant Field Values

### tNOTEQUAL

static final int tNOTEQUAL

See Also:
  - Constant Field Values

### tNOT

static final int tNOT

See Also:
  - Constant Field Values

### tEQUAL

static final int tEQUAL

See Also:
  - Constant Field Values

### tTHREEWAYCOMPARISON

static final int tTHREEWAYCOMPARISON

Since:
  8.1
See Also:
  - Constant Field Values

### tASSIGN

static final int tASSIGN

See Also:
  - Constant Field Values

### tUNKNOWN_CHAR

static final int tUNKNOWN_CHAR

See Also:
  - Constant Field Values

### tSHIFTL

static final int tSHIFTL

See Also:
  - Constant Field Values

### tLTEQUAL

static final int tLTEQUAL

See Also:
  - Constant Field Values

### tLT

static final int tLT

See Also:
  - Constant Field Values

### tSHIFTRASSIGN

static final int tSHIFTRASSIGN

See Also:
  - Constant Field Values

### tSHIFTR

static final int tSHIFTR

See Also:
  - Constant Field Values

### tGTEQUAL

static final int tGTEQUAL

See Also:
  - Constant Field Values

### tGT

static final int tGT

See Also:
  - Constant Field Values

### tSHIFTLASSIGN

static final int tSHIFTLASSIGN

See Also:
  - Constant Field Values

### tELLIPSIS

static final int tELLIPSIS

See Also:
  - Constant Field Values

### tDOTSTAR

static final int tDOTSTAR

See Also:
  - Constant Field Values

### tDOT

static final int tDOT

See Also:
  - Constant Field Values

### tDIVASSIGN

static final int tDIVASSIGN

See Also:
  - Constant Field Values

### tDIV

static final int tDIV

See Also:
  - Constant Field Values

### tGT_in_SHIFTR

static final int tGT_in_SHIFTR

Since:
  5.2
See Also:
  - `IScanner.setSplitShiftROperator(boolean)`
  - Constant Field Values

### t_alignas

static final int t_alignas

Since:
  5.10
See Also:
  - Constant Field Values

### t_alignof

static final int t_alignof

Since:
  5.10
See Also:
  - Constant Field Values

### t_asm

static final int t_asm

See Also:
  - Constant Field Values

### t_auto

static final int t_auto

See Also:
  - Constant Field Values

### t_bool

static final int t_bool

See Also:
  - Constant Field Values

### t_break

static final int t_break

See Also:
  - Constant Field Values

### t_case

static final int t_case

See Also:
  - Constant Field Values

### t_catch

static final int t_catch

See Also:
  - Constant Field Values

### t_char

static final int t_char

See Also:
  - Constant Field Values

### t_char16_t

static final int t_char16_t

Since:
  5.2
See Also:
  - Constant Field Values

### t_char32_t

static final int t_char32_t

Since:
  5.2
See Also:
  - Constant Field Values

### t_class

static final int t_class

See Also:
  - Constant Field Values

### t_const

static final int t_const

See Also:
  - Constant Field Values

### t_constexpr

static final int t_constexpr

Since:
  5.4
See Also:
  - Constant Field Values

### t_const_cast

static final int t_const_cast

See Also:
  - Constant Field Values

### t_continue

static final int t_continue

See Also:
  - Constant Field Values

### t_decltype

static final int t_decltype

Since:
  5.2
See Also:
  - Constant Field Values

### t_default

static final int t_default

See Also:
  - Constant Field Values

### t_delete

static final int t_delete

See Also:
  - Constant Field Values

### t_do

static final int t_do

See Also:
  - Constant Field Values

### t_double

static final int t_double

See Also:
  - Constant Field Values

### t_dynamic_cast

static final int t_dynamic_cast

See Also:
  - Constant Field Values

### t_else

static final int t_else

See Also:
  - Constant Field Values

### t_enum

static final int t_enum

See Also:
  - Constant Field Values

### t_explicit

static final int t_explicit

See Also:
  - Constant Field Values

### t_export

static final int t_export

See Also:
  - Constant Field Values

### t_extern

static final int t_extern

See Also:
  - Constant Field Values

### t_false

static final int t_false

See Also:
  - Constant Field Values

### t_float

static final int t_float

See Also:
  - Constant Field Values

### t_for

static final int t_for

See Also:
  - Constant Field Values

### t_friend

static final int t_friend

See Also:
  - Constant Field Values

### t_goto

static final int t_goto

See Also:
  - Constant Field Values

### t_if

static final int t_if

See Also:
  - Constant Field Values

### t_inline

static final int t_inline

See Also:
  - Constant Field Values

### t_int

static final int t_int

See Also:
  - Constant Field Values

### t_long

static final int t_long

See Also:
  - Constant Field Values

### t_mutable

static final int t_mutable

See Also:
  - Constant Field Values

### t_namespace

static final int t_namespace

See Also:
  - Constant Field Values

### t_new

static final int t_new

See Also:
  - Constant Field Values

### t_noexcept

static final int t_noexcept

Since:
  5.4
See Also:
  - Constant Field Values

### t_nullptr

static final int t_nullptr

Since:
  5.4
See Also:
  - Constant Field Values

### t_operator

static final int t_operator

See Also:
  - Constant Field Values

### t_private

static final int t_private

See Also:
  - Constant Field Values

### t_protected

static final int t_protected

See Also:
  - Constant Field Values

### t_public

static final int t_public

See Also:
  - Constant Field Values

### t_register

static final int t_register

See Also:
  - Constant Field Values

### t_reinterpret_cast

static final int t_reinterpret_cast

See Also:
  - Constant Field Values

### t_return

static final int t_return

See Also:
  - Constant Field Values

### t_short

static final int t_short

See Also:
  - Constant Field Values

### t_sizeof

static final int t_sizeof

See Also:
  - Constant Field Values

### t_static

static final int t_static

See Also:
  - Constant Field Values

### t_static_assert

static final int t_static_assert

Since:
  5.2
See Also:
  - Constant Field Values

### t_static_cast

static final int t_static_cast

See Also:
  - Constant Field Values

### t_signed

static final int t_signed

See Also:
  - Constant Field Values

### t_struct

static final int t_struct

See Also:
  - Constant Field Values

### t_switch

static final int t_switch

See Also:
  - Constant Field Values

### t_template

static final int t_template

See Also:
  - Constant Field Values

### t_this

static final int t_this

See Also:
  - Constant Field Values

### t_thread_local

static final int t_thread_local

Since:
  5.4
See Also:
  - Constant Field Values

### t_throw

static final int t_throw

See Also:
  - Constant Field Values

### t_true

static final int t_true

See Also:
  - Constant Field Values

### t_try

static final int t_try

See Also:
  - Constant Field Values

### t_typedef

static final int t_typedef

See Also:
  - Constant Field Values

### t_typeid

static final int t_typeid

See Also:
  - Constant Field Values

### t_typename

static final int t_typename

See Also:
  - Constant Field Values

### t_union

static final int t_union

See Also:
  - Constant Field Values

### t_unsigned

static final int t_unsigned

See Also:
  - Constant Field Values

### t_using

static final int t_using

See Also:
  - Constant Field Values

### t_virtual

static final int t_virtual

See Also:
  - Constant Field Values

### t_void

static final int t_void

See Also:
  - Constant Field Values

### t_volatile

static final int t_volatile

See Also:
  - Constant Field Values

### t_wchar_t

static final int t_wchar_t

See Also:
  - Constant Field Values

### t_while

static final int t_while

See Also:
  - Constant Field Values

### tFLOATINGPT

static final int tFLOATINGPT

See Also:
  - Constant Field Values

### tSTRING

static final int tSTRING

See Also:
  - Constant Field Values

### tLSTRING

static final int tLSTRING

See Also:
  - Constant Field Values

### tUTF16STRING

static final int tUTF16STRING

Since:
  5.1
See Also:
  - Constant Field Values

### tUTF32STRING

static final int tUTF32STRING

Since:
  5.1
See Also:
  - Constant Field Values

### tUSER_DEFINED_STRING_LITERAL

static final int tUSER_DEFINED_STRING_LITERAL

Since:
  5.11
See Also:
  - Constant Field Values

### tCHAR

static final int tCHAR

See Also:
  - Constant Field Values

### tLCHAR

static final int tLCHAR

See Also:
  - Constant Field Values

### tUTF16CHAR

static final int tUTF16CHAR

Since:
  5.1
See Also:
  - Constant Field Values

### tUTF32CHAR

static final int tUTF32CHAR

Since:
  5.1
See Also:
  - Constant Field Values

### tUSER_DEFINED_CHAR_LITERAL

static final int tUSER_DEFINED_CHAR_LITERAL

Since:
  5.11
See Also:
  - Constant Field Values

### t__Alignas

static final int t__Alignas

Since:
  5.10
See Also:
  - Constant Field Values

### t__Alignof

static final int t__Alignof

Since:
  5.10
See Also:
  - Constant Field Values

### t__Bool

static final int t__Bool

See Also:
  - Constant Field Values

### t__Complex

static final int t__Complex

See Also:
  - Constant Field Values

### t__Imaginary

static final int t__Imaginary

See Also:
  - Constant Field Values

### t_restrict

static final int t_restrict

See Also:
  - Constant Field Values

### tPOUND

static final int tPOUND

See Also:
  - Constant Field Values

### tPOUNDPOUND

static final int tPOUNDPOUND

See Also:
  - Constant Field Values

### tCOMPLETION

static final int tCOMPLETION

See Also:
  - Constant Field Values

### tEOC

static final int tEOC

See Also:
  - Constant Field Values

### tEND_OF_INPUT

static final int tEND_OF_INPUT

See Also:
  - Constant Field Values

### tINACTIVE_CODE_START

static final int tINACTIVE_CODE_START

Since:
  5.1
See Also:
  - Constant Field Values

### tINACTIVE_CODE_SEPARATOR

static final int tINACTIVE_CODE_SEPARATOR

Since:
  5.1
See Also:
  - Constant Field Values

### tINACTIVE_CODE_END

static final int tINACTIVE_CODE_END

Since:
  5.1
See Also:
  - Constant Field Values

### FIRST_RESERVED_IGCCToken

static final int FIRST_RESERVED_IGCCToken

See Also:
  - Constant Field Values

### LAST_RESERVED_IGCCToken

static final int LAST_RESERVED_IGCCToken

See Also:
  - Constant Field Values

### FIRST_RESERVED_IExtensionToken

static final int FIRST_RESERVED_IExtensionToken

See Also:
  - Constant Field Values

### LAST_RESERVED_IExtensionToken

static final int LAST_RESERVED_IExtensionToken

See Also:
  - Constant Field Values

### t_and

@Deprecated static final int t_and
Deprecated.
Use `tAND`. @noreference This field is not intended to be referenced by clients.

See Also:
  - Constant Field Values

### t_and_eq

@Deprecated static final int t_and_eq
Deprecated.
Use `tAMPERASSIGN`. @noreference This field is not intended to be referenced by clients.

See Also:
  - Constant Field Values

### t_bitand

@Deprecated static final int t_bitand
Deprecated.
Use `tAMPER`. @noreference This field is not intended to be referenced by clients.

See Also:
  - Constant Field Values

### t_bitor

@Deprecated static final int t_bitor
Deprecated.
Use `tBITOR`. @noreference This field is not intended to be referenced by clients.

See Also:
  - Constant Field Values

### tCOMPL

@Deprecated static final int tCOMPL
Deprecated.
Use `tBITCOMPLEMENT`. @noreference This field is not intended to be referenced by clients.

See Also:
  - Constant Field Values

### t_compl

@Deprecated static final int t_compl
Deprecated.
Use `tBITCOMPLEMENT`. @noreference This field is not intended to be referenced by clients.

See Also:
  - Constant Field Values

### t_not

@Deprecated static final int t_not
Deprecated.
Use `tNOT`. @noreference This field is not intended to be referenced by clients.

See Also:
  - Constant Field Values

### t_not_eq

@Deprecated static final int t_not_eq
Deprecated.
Use `tNOTEQUAL` @noreference This field is not intended to be referenced by clients.

See Also:
  - Constant Field Values

### t_or

@Deprecated static final int t_or
Deprecated.
Use `tOR` @noreference This field is not intended to be referenced by clients.

See Also:
  - Constant Field Values

### t_or_eq

@Deprecated static final int t_or_eq
Deprecated.
Use `tBITORASSIGN`. @noreference This field is not intended to be referenced by clients.

See Also:
  - Constant Field Values

### t_xor

@Deprecated static final int t_xor
Deprecated.
Use `tXOR`. @noreference This field is not intended to be referenced by clients.

See Also:
  - Constant Field Values

### t_xor_eq

@Deprecated static final int t_xor_eq
Deprecated.
Use `tXORASSIGN`. @noreference This field is not intended to be referenced by clients.

See Also:
  - Constant Field Values

### tMACROEXP

@Deprecated static final int tMACROEXP
Deprecated.
Not used. @noreference This field is not intended to be referenced by clients.

See Also:
  - Constant Field Values

### tCOMMENT

@Deprecated static final int tCOMMENT
Deprecated.
Not used. @noreference This field is not intended to be referenced by clients.

See Also:
  - Constant Field Values

### tBLOCKCOMMENT

@Deprecated static final int tBLOCKCOMMENT
Deprecated.
Not used. @noreference This field is not intended to be referenced by clients.

See Also:
  - Constant Field Values

## Method Details

### getType

int getType()

### getImage

String getImage()

### getCharImage

char[] getCharImage()

### getOffset

int getOffset()

### getLength

int getLength()

### getEndOffset

int getEndOffset()

### getNext

IToken getNext()

### setNext

void setNext(IToken t)

### setType

void setType(int i)

### isOperator

@Deprecated boolean isOperator()
Deprecated.

Restriction:
  This method is not intended to be referenced by clients.